> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Agave-Item

> Update an `Agave-Item`.

This endpoint requires the `manage_accounting_integration` `IamPermission`.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/agave/items/{id}
openapi: 3.0.3
info:
  title: Horizon API V1
  version: '1.0'
  contact:
    name: Tread
    url: https://tread.io
    email: developers@tread.io
  description: >-
    This is the Version 1 implementation.


    When in doubt we default to the practices outlined
    [here](https://www.vinaysahni.com/best-practices-for-a-pragmatic-restful-api#advanced-queries)
  license:
    name: Private
    url: https://tread.io
servers:
  - description: production
    url: https://api.tread-horizon.com
security:
  - bearerAuth: []
tags:
  - name: Projects
  - name: Orders
  - name: Loads
  - name: Jobs
  - name: JobAssignments
  - name: ApprovalAssignments
  - name: Equipment
  - name: FuelSurcharges
  - name: Materials
  - name: Accounts
  - name: Tickets
  - name: Users
  - name: Sites
  - name: Companies
  - name: Departments
  - name: Rates
  - name: Services
  - name: EquipmentType
  - name: FileAttachments
  - name: MaterialType
  - name: LineItemType
  - name: DriverStateEvent
  - name: Authentication
  - name: IamRoles
  - name: Typeaheads
  - name: Integrations
  - name: Reflection
  - name: LoadCycles
  - name: AddOns
  - name: ServiceClass
  - name: Invoices
  - name: JobSummaries
  - name: LoadSummaries
  - name: CompanyShares
  - name: UserDevicePermission
  - name: Drivers
  - name: Settlements
  - name: LocationHistories
  - name: Telematics
  - name: OmniReports
  - name: DriverDays
  - name: Agave
  - name: AddOnCharges
  - name: ResourceUsageLogs
  - name: ResourceScopes
  - name: TravelledDistances
  - name: MaterialRates
  - name: CompanyDayJobStats
  - name: KMLFiles
  - name: AutoAddOnAssignments
  - name: SiteRateSchedules
  - name: TwilioIntegrations
  - name: Foremen
  - name: AccountExternalTruckIdentifier
  - name: GeofenceTriggers
  - name: Labels
  - name: Compliance
  - name: ComplianceDocuments
paths:
  /v1/agave/items/{id}:
    parameters:
      - schema:
          type: string
          format: uuid
        name: id
        in: path
        required: true
        description: Agave-Item ID
      - $ref: '#/components/parameters/Accept-Language'
    patch:
      tags:
        - Agave
      summary: Update an Agave-Item
      description: >-
        Update an `Agave-Item`.


        This endpoint requires the `manage_accounting_integration`
        `IamPermission`.
      operationId: patch-v1-agave-items-id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Agave-Item-Update'
              type: object
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/Agave-Item-Read'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '406':
          $ref: '#/components/responses/Error'
        '415':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/ModelError'
components:
  parameters:
    Accept-Language:
      name: Accept-Language
      in: header
      schema:
        type: string
        default: en
        example: en
      description: >-
        The Accept-Language request HTTP header indicates the natural language
        and locale that the client prefers. 
  schemas:
    Agave-Item-Update:
      title: Agave-Item-Update
      x-stoplight:
        id: pw1b19ip50dot
      type: object
      x-internal: false
      required:
        - agave_itemizable_id
        - agave_itemizable_type
      properties:
        agave_itemizable_id:
          type: string
          x-stoplight:
            id: zkob6evr1r1rp
          nullable: true
        agave_itemizable_type:
          $ref: '#/components/schemas/NullableAgaveItemizableType'
      additionalProperties: false
    Agave-Item-Read:
      title: Agave-Item-Read
      x-stoplight:
        id: a3vb8ahcciykx
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - $ref: '#/components/schemas/Timestamps'
        - x-stoplight:
            id: idddaealkdwnh
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/AgaveApi-Item-Read'
            agave_itemizable:
              $ref: '#/components/schemas/Agave-Itemizable-Read'
    NullableAgaveItemizableType:
      title: NullableAgaveItemizableType
      x-stoplight:
        id: zl9obcee7qvmi
      allOf:
        - $ref: '#/components/schemas/AgaveItemizableType'
      nullable: true
      type: string
    Identifier:
      title: Identifier
      x-stoplight:
        id: gnd39lue5v7ol
      type: object
      required:
        - id
      properties:
        id:
          type: string
          x-stoplight:
            id: 2e38hjk4zd58m
          format: uuid
      additionalProperties: false
    Timestamps:
      title: Timestamps
      x-stoplight:
        id: t82ecgfu0oj00
      type: object
      required:
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          x-stoplight:
            id: gjj950jpq0ga9
          format: date-time
          description: ISO8601 timestamp with local timezone
        updated_at:
          type: string
          x-stoplight:
            id: bwcuyfwc7aj0e
          format: date-time
          description: ISO8601 timestamp with local timezone
      additionalProperties: false
    AgaveApi-Item-Read:
      title: AgaveApi-Item-Read
      x-stoplight:
        id: 03flwgd4kr9a8
      type: object
      required:
        - id
        - name
        - type
        - cost_unit_of_measure
        - price_unit_of_measure
        - status
        - unit_cost
        - unit_price
      properties:
        id:
          type: string
          x-stoplight:
            id: 75xu2tf09jg6v
          description: The UUID of the Item assigned by Agave.
        name:
          type: string
          x-stoplight:
            id: pen4ptjjt9wyh
          description: The name of the Item.
        type:
          x-stoplight:
            id: s6ra31ow40j25
          description: The type of the Item.
          type: string
          nullable: true
        cost_unit_of_measure:
          type: string
          x-stoplight:
            id: qtd91punvbbdu
          description: The unit of measure for sales of the Item.
          nullable: true
        price_unit_of_measure:
          type: string
          x-stoplight:
            id: 54vh9pp956uaj
          description: The unit of measure for sales of the Item.
          nullable: true
        status:
          x-stoplight:
            id: 15qodikljzd1u
          description: The status of the Item.
          enum:
            - Active
            - Archived
            - Inactive
            - Unknown
        unit_cost:
          type: string
          x-stoplight:
            id: 876cudmrujdcn
          description: The unit cost of the Item.
          nullable: true
        unit_price:
          type: string
          x-stoplight:
            id: xpys33kys219u
          description: The unit price of the Item.
          nullable: true
      additionalProperties: false
    Agave-Itemizable-Read:
      title: Agave-Itemizable-Read
      x-stoplight:
        id: 3172d842y14iu
      allOf:
        - required:
            - type
            - name
          type: object
          properties:
            type:
              $ref: '#/components/schemas/AgaveItemizableType'
            name:
              type: string
              x-stoplight:
                id: oqzh1lv82z4hc
        - $ref: '#/components/schemas/Identifier'
    UnauthenticatedError-Response:
      title: UnauthenticatedError-Response
      x-stoplight:
        id: o477eph7ttbzt
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/UnauthenticatedError'
      additionalProperties: false
    Error-Response:
      title: Error-Response
      x-stoplight:
        id: 52cydhphee3qe
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
      additionalProperties: false
    ModelError-Response:
      title: ModelError-Response
      x-stoplight:
        id: payf9ndh3l6np
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ModelError'
      additionalProperties: false
    AgaveItemizableType:
      title: AgaveItemizableType
      x-stoplight:
        id: a3cc4ur8termc
      enum:
        - AddOn
        - Service
        - LineItemType
      example: AddOn
    UnauthenticatedError:
      title: UnauthenticatedError
      x-stoplight:
        id: 202o69l0fs40h
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          x-stoplight:
            id: tg10dt7s0l6bw
          properties:
            error_type:
              type: string
              x-stoplight:
                id: wvq8c0qsym4hz
          required:
            - error_type
    Error:
      title: Error
      x-stoplight:
        id: 3g57kkik3l464
      type: object
      description: An Error.
      required:
        - code
      properties:
        code:
          type: string
          x-stoplight:
            id: 7o9x1t8v0bgfo
      additionalProperties: false
    ModelError:
      title: ModelError
      x-stoplight:
        id: nhp6714o4j1qt
      description: A Model-specific error
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          required:
            - errors
          properties:
            errors:
              type: array
              x-stoplight:
                id: m4ul9vcq2deh6
              items:
                $ref: '#/components/schemas/ModelError-Item'
    ModelError-Item:
      title: ModelError-Item
      x-stoplight:
        id: b93chwval2t8d
      type: object
      required:
        - model
        - field
        - message
      properties:
        model:
          type: string
          x-stoplight:
            id: 30myfyjkno8ao
          description: The Model associated with this Error
        field:
          type: string
          x-stoplight:
            id: 8gl4ed3uxhdws
          description: The field associated with this Error
        message:
          type: string
          x-stoplight:
            id: bmgbrtmw17qsj
          description: The Error message
      additionalProperties: false
  responses:
    UnauthenticatedError:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError-Response'
            type: object
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error-Response'
            type: object
    ModelError:
      description: ''
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ModelError-Response'
            type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````